#!/bin/bash

set -e

# http://larstobi.blogspot.com/2011/01/restrict-ssh-access-to-one-command-but.html
case "$SSH_ORIGINAL_COMMAND" in
  deploy*)
    # if the command is run by the 'deploy*' user, grab the second argument and call run_chef with it
    # TODO : parse `cut -d' ' -f2`` for command
    REVISION=`echo $SSH_ORIGINAL_COMMAND | cut -d' ' -f2`
    URL_PREFIX=`echo $SSH_ORIGINAL_COMMAND | cut -d' ' -f3`
    /usr/local/bin/deploy.sh $REVISION $URL_PREFIX
    ;;
  testconnect)
    echo "You successfully connected to `hostname` with SSH_ORIGINAL_COMMAND=${SSH_ORIGINAL_COMMAND}"
    ;;
  *)
    echo "You are not permitted to execute ${SSH_ORIGINAL_COMMAND} on this host"
    exit 1 # Ensure the deploy failed if this is for a deploy
    ;;
esac
